#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, i, k;
    scanf(" %d %d", &n, &k);
    int a[n];
    for(i=0; i<n; i++)
        scanf("%d", &a[i]);
    for(i=0; i<n; i++)
    {
        if((i == n-1) && (a[i] == k))
            printf("%d", a[0]);
        else
        {
            if(a[i] == k)
                printf("%d", a[i+1]);
        }
    }


    return 0;
}